org.eclipse.microprofile.rest.client.tck.sse

## Class HttpSseServer

- java.lang.Object
- - org.eclipse.microprofile.rest.client.tck.sse.HttpSseServer

All Implemented Interfaces:
  AutoCloseable

    public class HttpSseServer
    extends Object
    implements AutoCloseable

HTTP server which fires server sent events.

### Constructor Summary

Constructors
Constructor and Description
`HttpSseServer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`HttpSseServer` `start(int port, Consumer<MyEventSource> consumer)`
`void` `stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpSseServer

    public HttpSseServer()

### Method Detail

#### start

    public HttpSseServer start(int port,
                               Consumer<MyEventSource> consumer)

#### stop

    public void stop()

#### close

    public void close()
               throws Exception

Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `Exception`